POS.Tag (Lucene 10.5.0 nori API)
Description: declaration: package: org.apache.lucene.analysis.ko, class: POS, enum: Tag

Package org.apache.lucene.analysis.ko

# Enum Class POS.Tag

java.lang.Object
java.lang.Enum<POS.Tag>
org.apache.lucene.analysis.ko.POS.Tag

All Implemented Interfaces:
  `Serializable`, `Comparable<POS.Tag>`, `Constable`

Enclosing class:
  `POS`

public static enum POS.Tag extends Enum<POS.Tag>
Part of speech tag for Korean based on Sejong corpus classification.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EC`
  Connective ending
  `EF`
  Sentence-closing ending
  `EP`
  Pre-final ending
  `ETM`
  Adnominal form transformative ending
  `ETN`
  Nominal transformative ending
  `IC`
  Interjection
  `JC`
  Conjunctive postpositional particle
  `JKB`
  Adverbial case marker
  `JKC`
  Complement case marker
  `JKG`
  Adnominal case marker
  `JKO`
  Object case marker
  `JKQ`
  Quotative case marker
  `JKS`
  Subject case marker
  `JKV`
  Vocative case marker
  `JX`
  Auxiliary postpositional particle
  `MAG`
  General Adverb
  `MAJ`
  Conjunctive adverb
  `MM`
  Determiner
  `NA`
  Unknown
  `NNB`
  Dependent noun (following nouns)
  `NNBC`
  Dependent noun
  `NNG`
  General Noun
  `NNP`
  Proper Noun
  `NP`
  Pronoun
  `NR`
  Numeral
  `SC`
  Separator (· / :)
  `SE`
  Ellipsis
  `SF`
  Terminal punctuation (? ! .)
  `SH`
  Chinese character
  `SL`
  Foreign language
  `SN`
  Number
  `SP`
  Space
  `SSC`
  Closing brackets
  `SSO`
  Opening brackets
  `SY`
  Other symbol
  `UNA`
  Unknown
  `UNKNOWN`
  Unknown
  `VA`
  Adjective
  `VCN`
  Negative designator
  `VCP`
  Positive designator
  `VSV`
  Unknown
  `VV`
  Verb
  `VX`
  Auxiliary Verb or Adjective
  `XPN`
  Prefix
  `XR`
  Root
  `XSA`
  Adjective Suffix
  `XSN`
  Noun Suffix
  `XSV`
  Verb Suffix

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `code()`
  Returns the code associated with the tag (as defined in pos-id.def).
  `String`
  `description()`
  Returns the description associated with the tag.
  `static POS.Tag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static POS.Tag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EP

    public static final POS.Tag EP
    Pre-final ending

  - ### EF

    public static final POS.Tag EF
    Sentence-closing ending

  - ### EC

    public static final POS.Tag EC
    Connective ending

  - ### ETN

    public static final POS.Tag ETN
    Nominal transformative ending

  - ### ETM

    public static final POS.Tag ETM
    Adnominal form transformative ending

  - ### IC

    public static final POS.Tag IC
    Interjection

  - ### JKS

    public static final POS.Tag JKS
    Subject case marker

  - ### JKC

    public static final POS.Tag JKC
    Complement case marker

  - ### JKG

    public static final POS.Tag JKG
    Adnominal case marker

  - ### JKO

    public static final POS.Tag JKO
    Object case marker

  - ### JKB

    public static final POS.Tag JKB
    Adverbial case marker

  - ### JKV

    public static final POS.Tag JKV
    Vocative case marker

  - ### JKQ

    public static final POS.Tag JKQ
    Quotative case marker

  - ### JX

    public static final POS.Tag JX
    Auxiliary postpositional particle

  - ### JC

    public static final POS.Tag JC
    Conjunctive postpositional particle

  - ### MAG

    public static final POS.Tag MAG
    General Adverb

  - ### MAJ

    public static final POS.Tag MAJ
    Conjunctive adverb

  - ### MM

    public static final POS.Tag MM
    Determiner

  - ### NNG

    public static final POS.Tag NNG
    General Noun

  - ### NNP

    public static final POS.Tag NNP
    Proper Noun

  - ### NNB

    public static final POS.Tag NNB
    Dependent noun (following nouns)

  - ### NNBC

    public static final POS.Tag NNBC
    Dependent noun

  - ### NP

    public static final POS.Tag NP
    Pronoun

  - ### NR

    public static final POS.Tag NR
    Numeral

  - ### SF

    public static final POS.Tag SF
    Terminal punctuation (? ! .)

  - ### SH

    public static final POS.Tag SH
    Chinese character

  - ### SL

    public static final POS.Tag SL
    Foreign language

  - ### SN

    public static final POS.Tag SN
    Number

  - ### SP

    public static final POS.Tag SP
    Space

  - ### SSC

    public static final POS.Tag SSC
    Closing brackets

  - ### SSO

    public static final POS.Tag SSO
    Opening brackets

  - ### SC

    public static final POS.Tag SC
    Separator (· / :)

  - ### SY

    public static final POS.Tag SY
    Other symbol

  - ### SE

    public static final POS.Tag SE
    Ellipsis

  - ### VA

    public static final POS.Tag VA
    Adjective

  - ### VCN

    public static final POS.Tag VCN
    Negative designator

  - ### VCP

    public static final POS.Tag VCP
    Positive designator

  - ### VV

    public static final POS.Tag VV
    Verb

  - ### VX

    public static final POS.Tag VX
    Auxiliary Verb or Adjective

  - ### XPN

    public static final POS.Tag XPN
    Prefix

  - ### XR

    public static final POS.Tag XR
    Root

  - ### XSA

    public static final POS.Tag XSA
    Adjective Suffix

  - ### XSN

    public static final POS.Tag XSN
    Noun Suffix

  - ### XSV

    public static final POS.Tag XSV
    Verb Suffix

  - ### UNKNOWN

    public static final POS.Tag UNKNOWN
    Unknown

  - ### UNA

    public static final POS.Tag UNA
    Unknown

  - ### NA

    public static final POS.Tag NA
    Unknown

  - ### VSV

    public static final POS.Tag VSV
    Unknown

- ## Method Details

  - ### values

    public static POS.Tag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static POS.Tag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### code

    public int code()
    Returns the code associated with the tag (as defined in pos-id.def).

  - ### description

    public String description()
    Returns the description associated with the tag.